%define name	basesystem
%define version	2
%define epoch	1
%define release	%mkrel 15

Summary:	The skeleton package which defines a simple Mageia Linux system
Name:		%{name}
Epoch:		%{epoch}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Base
Requires:	kernel basesystem-minimal
Suggests:	urpmi
Requires:	systemd
%ifnarch %arm %mips
Requires:	bootloader
%endif

%package minimal
Summary:	The skeleton package which defines a simple Mageia Linux system for chroot systems
Group:		System/Base

Requires:	setup filesystem sed initscripts kbd utempter
Requires:	chkconfig coreutils crontabs makedev
Requires:	e2fsprogs etcskel findutils grep gzip less
Requires:	logrotate mingetty net-tools passwd procps
Requires:	psmisc rootfiles rpm sash shadow-utils
Requires:	stat tar termcap time util-linux
Suggests:	vim
Requires:	cronie which perl-base common-licenses
Requires:	kmod
Requires:	mageia-release >= 1
Conflicts:	setup <= 2.7.20-4.mga3

# (gb) Add timezone database here for now before moving it to DrakX
Requires:	timezone

%package uml
Summary:	The skeleton package which defines a simple Mageia Linux system to be run under UML
Group:		System/Base
Requires:	basesystem-minimal
Requires:	systemd
Requires:	dhcp-client
Requires:	urpmi

%description
Basesystem defines the components of a basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%description minimal
Basesystem defines the components of a basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%description uml
Basesystem defines the components of a basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

This package can be used to setup a full and working system runned with
kernel-uml, using urpmi %{name}-uml  --root ...

%files
%files minimal
%files uml



%changelog

* Mon Apr 22 2013 tv <tv> 1:2-15.mga3
+ Revision: 410771
- drop old shadow conversion in %%post as setup now package /etc/{g,}shadow

* Tue Apr 02 2013 dmorgan <dmorgan> 1:2-14.mga3
+ Revision: 407115
- Rebuild against fixed BS
- Move %%posttrans in minimal subpackage
- Rebuild with fixed BS

  + tv <tv>
    - move /etc/*shadow creation from setup here (mga#9326)

* Tue Mar 26 2013 colin <colin> 1:2-11.mga3
+ Revision: 405409
- Require system-logger rather than syslog-daemon mga#8028

* Fri Jan 11 2013 umeabot <umeabot> 1:2-10.mga3
+ Revision: 346871
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 02 2012 tv <tv> 1:2-9.mga3
+ Revision: 287220
- mount&loseteup requires are dup

* Tue Jun 12 2012 tv <tv> 1:2-8.mga3
+ Revision: 259958
+ rebuild (emptylog)

* Sun Jun 10 2012 tv <tv> 1:2-7.mga3
+ Revision: 259280
- require kmod instead of module-init-tools

* Wed Jan 25 2012 tv <tv> 1:2-6.mga2
+ Revision: 200809
- suggest urpmi

* Mon Jan 16 2012 tmb <tmb> 1:2-5.mga2
+ Revision: 196772
- restore requires on systemd as it's needed for proper upgrade

* Sun Jan 15 2012 tmb <tmb> 1:2-4.mga2
+ Revision: 196536
- drop forced systemd as sysvinit/initscripts will be supported in Mageia 2
- drop buildroot

* Sat Sep 17 2011 tv <tv> 1:2-3.mga2
+ Revision: 144415
- suggests vim instead of requiring it

* Sat Sep 17 2011 tv <tv> 1:2-2.mga2
+ Revision: 144386
- still require base systemd

* Wed Sep 14 2011 tv <tv> 1:2-1.mga2
+ Revision: 143461
- bump version
- requires sysvinit instead of systemd-sysvinit so that we got choice through
  kernel command line

* Tue Sep 13 2011 tv <tv> 1:1-4.mga2
+ Revision: 143068
- require systemd-sysvinit instead of sysvinit in order to got more testing
- move syslog-daemon & sysvinit requires from basesystem-minimal into
  basesystem & basesystem-uml (uneeded for building packages & the like)

* Tue Apr 12 2011 dmorgan <dmorgan> 1:1-3.mga1
+ Revision: 83504
- Fix Requires on cronie

  + rtp <rtp>
    - disable for now bootloader require on arm/mips

* Mon Jan 17 2011 pterjan <pterjan> 1:1-2.mga1
+ Revision: 21169
- Set Epoch tag
- Revert, Epoch 1 is enough already, but bs ignore it
- Increase Epoch to be higher than Mandriva version

  + blino <blino>
    - require makedev instead of dev

  + tmb <tmb>
    - imported package basesystem


* Sun Jan  2 2011 Thomas Backlund <tmb@mageia.org> 1:1-1.mga1
- initial import
- change version to 1 and add epoch to allow upgrade from Mandriva
- change all Mandriva -> Mageia in summarys and descriptions
- drop support for all arches besides ix86 and x86_64 for now

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 2010.0-3mdv2011.0
+ Revision: 603755
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2010.0-2mdv2010.1
+ Revision: 522188
- rebuilt for 2010.1

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 2010.0-1mdv2010.0
+ Revision: 448803
- bump version to 2010.0
- do not require bootloader for mips (from Arnaud Patard)

* Tue Sep 01 2009 Christophe Fergeau <cfergeau@mandriva.com> 2009.0-5mdv2010.0
+ Revision: 423673
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2009.0-4mdv2010.0
+ Revision: 413154
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 2009.0-3mdv2009.1
+ Revision: 350172
- 2009.1 rebuild

* Sat Jul 12 2008 Olivier Thauvin <nanardon@mandriva.org> 2009.0-2mdv2009.0
+ Revision: 234021
- add -uml subpackage
- move arch-specific bootloader (ppc + ia64) from minimal to standard package (eg like x86* arch)

* Thu May 08 2008 Thierry Vignaud <tv@mandriva.org> 2009.0-1mdv2009.0
+ Revision: 203831
- bump version (no changes)

  + Oden Eriksson <oeriksson@mandriva.com>
    - bump release

* Fri Feb 22 2008 Thierry Vignaud <tv@mandriva.org> 2008.0-7mdv2008.1
+ Revision: 173938
- ldconfig is no more
- s/SysVinit/sysvinit/

* Thu Jan 17 2008 Thierry Vignaud <tv@mandriva.org> 2008.0-6mdv2008.1
+ Revision: 154126
- move bootloader require from minimal subpackage to main one

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 2008.0-5mdv2008.1
+ Revision: 152842
- split minimal subpackage that doesn't require kernel so that iurt's chroots
  are simpler (no drakxtools-backend, ...); next step would be moving syslog requires

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 2008.0-4mdv2008.1
+ Revision: 148914
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2008.0-3mdv2008.0
+ Revision: 84912
- requires virtual package syslog-daemon, not mandatorily sysklogd

* Wed Aug 01 2007 Olivier Blin <oblin@mandriva.com> 2008.0-2mdv2008.0
+ Revision: 57690
- require kbd instead of console-tools

* Mon Jun 18 2007 Adam Williamson <awilliamson@mandriva.org> 2008.0-1mdv2008.0
+ Revision: 41050
- update for 2008.0
- Import basesystem

* Fri Sep 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 2007.0-2mdv2007.0
- fix requires


* Fri Sep 22 2006 Warly <warly@mandriva.com> 2007.0-1mdv2007.0
- requires mandriva-release > 2007.0

* Mon Jun 05 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 10.1-6mdv2007.0
- %%mkrel
- drop %%ifarch for x86 and sparc as dependency on bootloader is sufficient
- cosmetics

* Fri Sep  2 2005 Stew Benedict <sbenedict@mandriva.com> 10.1-5mdk
- drop bdflush from requires

* Thu Aug 11 2005 Flavio Bruno Leitner <flavio@mandriva.com> 10.1-4mdk
- changed requires from modutils to module-init-tools

* Tue Aug  2 2005 Olivier Blin <oblin@mandriva.com> 10.1-3mdk
- change requires back to sysklogd since syslog-ng doesn't work on
  fresh installs
- fix summary ended with dot
- use Mandriva

* Thu Jul 14 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 10.1-2mdk
- Changed requires from sysklogd to syslog-daemon

* Mon Sep  6 2004 Frederic Lepied <flepied@mandrakesoft.com> 10.1-1mdk
- Mandrakelinux

* Fri Sep  3 2004 Warly <warly@mandrakesoft.com> 10.1-0.1mdk
- Change the version to 10.1

* Wed Jan  7 2004 Pixel <pixel@mandrakesoft.com> 10.0-0.2mdk
- require bootloader (instead of lilo / aboot / elilo / ...)

* Tue Jan  6 2004 Pixel <pixel@mandrakesoft.com> 10.0-0.1mdk
- don't require mkbootdisk anymore

* Thu Apr 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.2-1mdk
- add mkbootdisk for x86-64

* Fri Oct 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-3mdk
- Requires: s/fileutils, sh-utils, textutils/coreutils/

* Sun Oct  6 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.0-2mdk
- Requires: lilo on x86-64 too

* Tue Sep 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.0-1mdk
- Requires: libgcc >= 3.2-1mdk

* Sat Jun 15 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.2-3mdk
- Requires: timezone here for now until DrakX deals with it directly
- Requires: ldconfig on IA-64 too

* Tue Apr  2 2002 Pixel <pixel@mandrakesoft.com> 8.2-2mdk
- don't require tmpwatch (not mandatory)

* Fri Feb 22 2002 Pixel <pixel@mandrakesoft.com> 8.2-1mdk
- next version is... 8.2 :)

* Fri Feb 22 2002 Pixel <pixel@mandrakesoft.com> 8.1-5mdk
- add BuildRoot to please rpmlint
- remove requires
  * ntsysv (replaced by drakxservices)
  * procmail (not needed)
  * libtermcap2 (no need to require libraries)
  * basesystem (why was it there?)

* Thu Jan 24 2002 Pixel <pixel@mandrakesoft.com> 8.1-4mdk
- remove requires
  * hdparm setserial (not needed by many hardware)
  * info man (not needed with excludedocs)
  * getty_ps
  * ash (there's sash which is much more useful)

* Thu Jan 24 2002 Pixel <pixel@mandrakesoft.com> 8.1-3mdk
- remove requires 
  * isapnptools (now required by sndconfig)
  * grub (lilo *is* needed, but not grub)
  * msec (DrakX will ensure it is installed in 99%% of installs)

* Tue Dec  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 8.1-2mdk
- s|Copyright|Licenses|;

* Fri Sep 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 8.1-1mdk
- Rebuild.

* Wed Jul 11 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 8.0-5mdk
- add mkinitrd for ia64

* Fri Jul  6 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 8.0-4mdk
- change eli to elilo

* Fri May 11 2001 Stew Benedict <sebedict@mandrakesoft.com> 8.0-3mdk
- remove kernel-pmac, add pmac-utils to requires - PPC

* Thu Mar 22 2001 Stew Benedict <sbenedict@mandrakesoft.com> 8.0-2mdk
- add mkinitrd to requires - PPC

* Tue Mar 20 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 8.0-1mdk
- following lib policy, add libtermcap2 to basesystem
- bomb version to ``8.0''

* Wed Mar 7 2001 Stew Benedict <sbenedict@mandrakesoft.com> 7.2-5mdk
- ppc add mktemp to requires

* Fri Feb 13 2001 Stew Benedict <sbenedict@mandrakesoft.com> 7.2-4mdk
- ppc: requires ybin

* Fri Oct 27 2000 Francis Galiegue <fg@mandrakesoft.com> 7.2-2mdk

- ia64: does not require ldconfig nor procmail for now - KLUDGE - see spec file
  for details
- ia64: requires eli

* Mon Oct  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 7.2-1mdk
- 7.2

* Fri Mar 24 2000 Pixel <pixel@mandrakesoft.com> 7.1-4mdk
- remove the BuildArchitectures: noarch
(otherwise can't have arch dependent Requires, silly me)

* Wed Mar 22 2000 Pixel <pixel@mandrakesoft.com> 7.1-3mdk
- changed require vim-minimal to vim (thanks Quel Qun)

* Tue Mar 21 2000 Pixel <pixel@mandrakesoft.com> 7.1-2mdk
- added a *lot* of requires. Now *is* the base

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 7.1-1mdk
- Upgrade version.
- Update groups.

* Thu Dec  2 1999 Pixel <pixel@linux-mandrake.com>
- changed back Requires to preReq :(

* Wed Dec  1 1999 Pixel <pixel@linux-mandrake.com>
- changed preReq to Requires

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build in the new environement (VER: 6mdk).

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- add de locale

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- don't require rpm (breaks dependency chain)

* Tue Mar 16 1999 Erik Troan <ewt@redhat.com>
- require rpm

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Sep 23 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
